Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security
Interface Authenticator.AuthConfiguration

All Known Implementing Classes:
  ConstraintSecurityHandler, SecurityHandler

Enclosing interface:
  Authenticator

    public static interface Authenticator.AuthConfiguration

Authenticator Configuration

Method Summary
`java.lang.String` | `getAuthMethod()`
`IdentityService` | `getIdentityService()`
`java.lang.String` | `getInitParameter(java.lang.String param)` Get a SecurityHandler init parameter
`java.util.Set<java.lang.String>` | `getInitParameterNames()` Get a SecurityHandler init parameter names
`LoginService` | `getLoginService()`
`java.lang.String` | `getRealmName()`
`boolean` | `isSessionRenewedOnAuthentication()`

Method Detail

### getAuthMethod

    java.lang.String getAuthMethod()

### getRealmName

    java.lang.String getRealmName()

### getInitParameter

    java.lang.String getInitParameter(java.lang.String param)

  Get a SecurityHandler init parameter

  Parameters:
    `param` - parameter name
  Returns:
    Parameter value or null
  See Also:
    `SecurityHandler.getInitParameter(String)`

### getInitParameterNames

    java.util.Set<java.lang.String> getInitParameterNames()

  Get a SecurityHandler init parameter names

  Returns:
    Set of parameter names
  See Also:
    `SecurityHandler.getInitParameterNames()`

### getLoginService

    LoginService getLoginService()

### getIdentityService

    IdentityService getIdentityService()

### isSessionRenewedOnAuthentication

    boolean isSessionRenewedOnAuthentication()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.